> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an authorization group

> Retrieves a specified authorization group.



## OpenAPI

````yaml /openapi.json get /groups/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /groups/{id}:
    get:
      tags:
        - Authorization
      summary: Get an authorization group
      description: Retrieves a specified authorization group.
      operationId: GetGroup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: When request is successful. Returns an authorization 'Group' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
        '404':
          description: When authorization group does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    Group:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the group.
          nullable: true
          example: ed028979-5b64-4f63-82ef-2deef728d852
        name:
          type: string
          description: Name of the group.
          nullable: true
          example: Administrators
        principalIds:
          type: array
          items:
            type: string
          description: >-
            Principals that are members of the group. This can be either user
            ids or other group ids.
          nullable: true
          example:
            - 2595a645-94a2-46be-a60d-8410851a9671
            - 2595a645-94a2-46be-a60d-8410851a9671
        isDeleted:
          type: boolean
          description: True when the group is deleted.
          example: false
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````